#version 100
#extension GL_OES_EGL_image_external : require


uniform samplerExternalOES frame;
precision mediump float;
varying vec2 tex_coord;
uniform highp float exposure;

void main() {

    highp vec4 textureColor = texture2D(frame, tex_coord);

    gl_FragColor = vec4(textureColor.rgb * pow(2.0, exposure), textureColor.w);

}