#version 300 es
#ifdef GL_OES_EGL_image_external_essl3
#extension GL_OES_EGL_image_external_essl3 : require
#else
#extension GL_OES_EGL_image_external : require
#endif



uniform samplerExternalOES frame;
precision mediump float;
uniform highp float exposure;

in vec2 tex_coord;
out vec4 frag_color;

void main() {
    highp vec4 textureColor = texture(frame, tex_coord);

    frag_color = vec4(textureColor.rgb * pow(2.0, exposure), textureColor.w);
}